const express = require("express");
const fs = require("fs");

const app = express();
const jsonParser = express.json();

app.use(express.static(__dirname + "/public"));

const filePath = "messages.json";
app.get("/chat", function (req, res) {
  const content = fs.readFileSync(filePath, "utf8");
  const messageData = JSON.parse(content);
  res.send(messageData);
});
app.post("/chat", jsonParser, function (req, res) {
  if (!req.body) return res.sendStatus(400);

  const nickName = req.body.nick;
  const messageText = req.body.message;
  let messageItem = { nick: nickName, message: messageText };

  let data = fs.readFileSync(filePath, "utf8");
  let messageData = JSON.parse(data);

  const id = new Date().getTime();
  messageItem.id = new Date(id).toLocaleString();

  messageData.push(messageItem);
  data = JSON.stringify(messageData);

  fs.writeFileSync("messages.json", data);
  res.send(messageItem);
});
app.listen(3002, function () {
  console.log("Сервер ожидает подключения...");
});
